=== debian/changelog ===
rt3290-dkms (20120508.stella8) precise; urgency=low

  * update for DKMS upgrade issue. (LP: #1088407)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Tue, 18 Dec 2012 17:11:14 +0800

rt3290-dkms (20120508.stella6) precise; urgency=low

  * add rfkill support.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 11 Jul 2012 14:34:23 +0800

rt3290-dkms (20120508.stella5) precise; urgency=low

  * fixed build tools dependency issue.
  * fixed setup script.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 16:55:14 +0800

rt3290-dkms (20120508.stella4) precise; urgency=low

  * fixed build tools dependency issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 16:21:27 +0800

rt3290-dkms (20120508.stella3) precise; urgency=low

  * fixed build dependency.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 15:21:04 +0800

rt3290-dkms (20120508.stella2) precise; urgency=low

  * fixed a build dependency on launchpad ppa.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 14:32:44 +0800

rt3290-dkms (20120508.stella1) precise; urgency=low

  * Initial release. (Closes: LP:#1009057 LP:#1009059)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 14:30:59 +0800
